mesa (25.2.8-0ubuntu0.25.10.2) questing-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds memory access in WebGPU
    - debian/patches/CVE-2026-40393-pre1.patch: move STACK_ARRAY into util
      in src/util/meson.build, src/util/stack_array.h,
      src/vulkan/util/vk_util.h.
    - debian/patches/CVE-2026-40393-1.patch: use STACK_ARRAY instead of
      NIR_VLA in src/compiler/spirv/spirv_to_nir.c.
    - debian/patches/CVE-2026-40393-2.patch: use STACK_ARRAY instead of
      NIR_VLA in src/compiler/nir/nir_functions.c.
    - CVE-2026-40393

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Apr 2026 09:27:15 -0400

mesa (25.2.8-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release. (LP: #2133164)
  * patches: Drop rename-rsqrtf.diff, upstreamed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 Dec 2025 12:14:48 +0200

mesa (25.2.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:14:43 +0300

mesa (25.2.3-1) unstable; urgency=medium

  * New upstream release. (LP: #2122654)
  * patches: Fix crash on intel xe with 16kB page size. (Closes: #1115467)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:08:11 +0300

mesa (25.2.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian.
  * patches: ANGLE fix dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:58:10 +0300

mesa (25.2.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/merge-vulkan-driver-manifests.sh: Remove library_arch from JSON manifests
    (Closes: #1110523) (LP: #2121980)

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Fix FTBFS with glibc 2.42.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:44:46 +0300

mesa (25.2.1-2ubuntu1) questing; urgency=medium

  * Merge from Debian (LP: #2121790), remaining changes:
    - stay on llvm-20
    - drop i386 from rusticl, nvk archs
    - drop libglapi-mesa Provides, handled by mesa-amber
  * patches: Fix FTBFS with glibc 2.42.
  * patches: Work around ANGLE brokenness. (LP: #2121774)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Sep 2025 12:07:50 +0300

mesa (25.2.1-2) unstable; urgency=medium

  * control, rules: Revert back to llvm-19 as -20 is not in unstable
    yet.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Aug 2025 17:34:14 +0300

mesa (25.2.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Don't clean up .pc dir. (Closes: #1111295)
  * control, rules: Drop quilt again, unnecessary now.

  [ Fabio Pedretti ]
  * rules: Disable sse2 disabling on i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Aug 2025 14:01:57 +0300

mesa (25.2.0-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed and obsolete bits.
  * Drop libd3dadapter9*, gallium-nine is no more.
  * Drop libxatracker*, gallium-xa is gone.
  * Drop libMesaOpenCL from mesa-opencl-icd, clover is gone.
  * control: Bump meson and bindgen build-deps, add librust-rustc-2-hash-dev
    for nvk.
  * libegl-mesa0.symbols: Updated.
  * rules: Drop shared-glapi build option, it's deprecated and doesn't
    do anything.
  * rules: Restore quilt, as source3.0 applies patches when building the
    source.
  * rules: Enable iris/anv on arm64 & ppc64el. (Closes: #1100537)
  * rules: intel-clc is gone.
  * rules: Enable iris/anv on riscv64. (Closes: #1108849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Aug 2025 14:08:04 +0300

mesa (25.1.7-1ubuntu1) questing; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 09:53:01 +0300

mesa (25.1.7-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 08:56:31 +0300

mesa (25.1.5-1ubuntu1) questing; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed revert.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Jul 2025 13:10:08 +0300

mesa (25.1.5-1) experimental; urgency=medium

  [ Jianfeng Liu ]
  * d/rules: Enable iris and intel vulkan driver for loong64

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Jul 2025 18:43:48 +0300

mesa (25.1.4-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Jun 2025 10:00:29 +0300

mesa (25.1.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable asahi. (Closes: #1102725)
  * Drop libosmesa*, removed upstream.
  * libgbm-dev.install: Updated.
  * libglx-mesa0.symbols: Updated.
  * rules: Migrate to llvm-20.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 May 2025 16:10:14 +0300

mesa (25.0.7-2) unstable; urgency=medium

  * patches: Revert a commit to fix mobian vm's. (Closes: #1107895)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jun 2025 12:07:43 +0300

mesa (25.0.7-0ubuntu4) UNRELEASED; urgency=medium

  * patches: Drop a fix for lp2101817, since 25.0.6 carries a separate
    fix for that.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jun 2025 21:00:56 +0300

mesa (25.0.7-0ubuntu3) questing; urgency=medium

  * Revert a bad commit which broke Intel Haswell. (LP: #2113508)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jun 2025 13:01:12 +0300

mesa (25.0.7-0ubuntu2) questing; urgency=medium

  * Migrate to llvm-20. (LP: #2111265)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Jun 2025 15:04:20 +0300

mesa (25.0.7-0ubuntu1) questing; urgency=medium

  * Merge from Debian git.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Jun 2025 11:05:19 +0300

mesa (25.0.7-1) unstable; urgency=medium

  * control: Bump rustc dependency to match upstream.
  * control: Bump wayland-protocols build-dep.
  * control: Bump directx-headers build-dep.
  * control: Bump spirv-tools build dep for Intel shader compiler.
  * New upstream release. (Closes: #1105831)
  * rules: Drop obsolete removals.
  * patches: Drop a fix for lp2101817, since 25.0.6 carries a separate
    fix for that.
  * Revert a bad commit which broke Intel Haswell. (LP: #2113508)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Jun 2025 17:14:37 +0300

mesa (25.0.5-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * cherry-pick patch from upstream: etnaviv-add-support-for-texelfetch.patch
    (Closes: #1104029)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 May 2025 13:49:49 +0300

mesa (25.0.5-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Share a single JSON manifest per Vulkan driver between all architectures
    (Closes: #980148)

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 May 2025 08:32:56 +0300

mesa (25.0.4-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed gfxstream patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Apr 2025 13:10:18 +0300

mesa (25.0.3-1ubuntu2) plucky; urgency=medium

  [ Daniel van Vugt ]
  * Add drisw-Avoid-crashing-when-swrast_loader-NULL.patch (LP: #2101817)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Apr 2025 09:48:08 +0300

mesa (25.0.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. (LP: #2106126)
  * patches: Drop upstreamed pci-id's.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Apr 2025 11:29:37 +0300

mesa (25.0.3-1) unstable; urgency=medium

  * New upstream release.
  * patches: Further fixes for spam caused by gfxstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Apr 2025 13:47:45 +0300

mesa (25.0.2-1ubuntu2) plucky; urgency=medium

  * Drop libglapi symlink, the functionality will be provided by
    libglapi-amber instead. (LP: #2104900)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 31 Mar 2025 10:30:01 +0300

mesa (25.0.2-1ubuntu1) plucky; urgency=medium

  [ Timo Aaltonen ]
  * Merge from Debian.
  * patches: Add some BMG pci-id's. (LP: #2104011)
  * patches: Further fixes for spam caused by gfxstream.

  [ Tim Andersson ]
  * rules, patches: Add a libglapi compatibility symlink for mesa-
    amber. (LP: #2104006)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Mar 2025 19:19:55 +0200

mesa (25.0.2-1) unstable; urgency=medium

  * New upstream release.
  * patches: Fix spam from gfxstream. (Closes: #1100360)
  * rules: Update gentarball target to use xz and the current tree.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Mar 2025 16:52:21 +0200

mesa (25.0.1-2ubuntu2) plucky; urgency=medium

  * control: Drop recommends on libgl1-amber-dri, clean up old
    constraints. (LP: #2103588)
  * patches: Fix spam from gfxstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Mar 2025 17:03:18 +0200

mesa (25.0.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian. (LP: #2102092)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Mar 2025 19:48:27 +0200

mesa (25.0.1-2) unstable; urgency=medium

  * rules: Build gfxstream only on 64bit. (Closes: #1099704)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Mar 2025 08:52:20 +0200

mesa (25.0.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Drop python3 dependency from mesa-vulkan-drivers. (Closes:
    #1061658)

  [ Gurchetan Singh ]
  * rules: enable gfxstream

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Mar 2025 13:07:00 +0200

mesa (25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Make mesa-va-drivers depend on the same version of mesa-
    libgallium. (Closes: #1094190)
  * rules: Enable panvk, it's production quality now. (Closes: #1095969)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 23 Feb 2025 11:22:33 +0200

mesa (25.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Feb 2025 13:06:35 +0200

mesa (25.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Feb 2025 19:30:14 +0200

mesa (25.0.0~rc1-2) experimental; urgency=medium

  * Merge from unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Feb 2025 12:41:43 +0200

mesa (25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Remove libglapi-mesa, provided by mesa-libgallium now.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 Jan 2025 09:54:17 +0200

mesa (24.3.4-3ubuntu1) plucky; urgency=medium

  * Merge from Debian. (LP: #2096873)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Feb 2025 17:55:09 +0200

mesa (24.3.4-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Revert "Build with gcc-12 and -O1 on ppc64el".
  * Add a patch to disable ppc64el assembly code. (Closes: #1092890)

  [ Emilio Pozuelo Monfort ]
  * Release to sid.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 Feb 2025 08:40:16 +0100

mesa (24.3.4-2ubuntu1) plucky; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jan 2025 10:42:31 +0200

mesa (24.3.4-2) unstable; urgency=medium

  * Build with gcc-12 and -O1 on ppc64el to workaround segfaults
    on driswSwapBuffers. Thanks Dmitry Shachnev for debugging and
    finding a working compiler and optimization level.
    Closes: #1092890.
  * Drop quilt usage, not needed with source format 3.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 26 Jan 2025 11:39:48 +0100

mesa (24.3.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Make libgl1-mesa-dri depend on the same version of libgbm1.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Jan 2025 19:48:02 +0200

mesa (24.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2025 13:11:38 +0200

mesa (24.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Nov 2024 13:43:07 +0200

mesa (24.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Nov 2024 17:09:15 +0200

mesa (24.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.
  * rules: Drop obsoleted config options.
  * libglx-mesa0.symbols: Updated.
  * libgbm1: Add dri_gbm.so.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Nov 2024 15:17:38 +0200

mesa (24.2.8-1ubuntu1) plucky; urgency=medium

  * Merge from Debian, remaining changes:
    - drop i386 from RUSTICL/NVK_ARCHS
    - add R/B/R for libgl1-amber-dri

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Nov 2024 14:14:37 +0200

mesa (24.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Nov 2024 13:59:57 +0200

mesa (24.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Nov 2024 14:08:39 +0200

mesa (24.2.6-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * fix-armhf-build.diff: Dropped, upstream.

  [ Fabio Pedretti ]
  * control: lower librust-syn-dev dependency version

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Nov 2024 09:59:12 +0200

mesa (24.2.4-1) unstable; urgency=medium

  * New upstream release.
  * clc-find-opencl-headers.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Oct 2024 22:18:55 +0300

mesa (24.2.3-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 Sep 2024 12:52:50 +0300

mesa (24.2.3-1) unstable; urgency=medium

  * New upstream release.
  * patches: Fix build on armel/armhf with llvm-19.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Sep 2024 21:57:00 +0300

mesa (24.2.2-1+exp1) experimental; urgency=medium

  * rules: Migrate to llvm-19.
  * clc-find-opencl-headers.diff: Fix finding the opencl headers with
    llvm-19.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2024 14:43:27 +0300

mesa (24.2.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * patches: Dropped, upstream or obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Sep 2024 07:21:50 +0300

mesa (24.2.2-1) unstable; urgency=medium

  * New upstream release.
  * patches: dril fixes dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Sep 2024 07:13:53 +0300

mesa (24.2.1-4ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 17:42:51 +0300

mesa (24.2.1-4) unstable; urgency=medium

  * patches: Add patches to fix autopkgtest regressions in dril.
  * rules: Enable softpipe everywhere again. (Closes: #1080475)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 11:49:34 +0300

mesa (24.2.1-3) unstable; urgency=medium

  * rules: Set MESON_PACKAGE_CACHE_DIR only for archs where nvk is
    built, fixes armel build.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 10:54:30 +0300

mesa (24.2.1-2ubuntu2) oracular; urgency=medium

  * patches: Fix regressions in swrast.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 11:17:29 +0300

mesa (24.2.1-2ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * rules: Revert enabling softpipe everywhere.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 10:20:53 +0300

mesa (24.2.1-2) unstable; urgency=medium

  [ WANG Xuerui ]
  * rules: disable TLSDESC for loong64 for now

  [ Fabio Pedretti ]
  * removed unused lua5.4 dependency

  [ Timo Aaltonen ]
  * Add upstream metadata, drop old git url from d/watch.
  * New upstream release.
  * control: Bump librust-syn-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 09:42:42 +0300

mesa (24.2.0-2ubuntu3) oracular; urgency=medium

  * patches: Revert a commit to attempt to fix zink regressions.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Aug 2024 13:19:36 +0300

mesa (24.2.0-2ubuntu2) oracular; urgency=medium

  * rules: Enable softpipe again to see if it fixes some autopkgtests.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 18 Aug 2024 11:45:10 +0300

mesa (24.2.0-2ubuntu1) oracular; urgency=medium

  * Merge from experimental. (LP: #2075549)
  * patches: Enable LNL pci-id's.
  * patches: Enable BMG pci-id's.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Aug 2024 13:16:03 +0300

mesa (24.2.0-2) experimental; urgency=medium

  * control, rules: Drop armel, mips64el, loong64 from NVK_ARCHS (FTBFS).
  * rules: ORCJIT is enabled by default now, so don't force draw-use-
    llvm=false on riscv64.
  * rules: Fix m68k build, and rework setting buildflags. (Closes:
    #1067207)
  * rules: Really drop ppc64el from optimization workaround, drop sh3 as
    it's an obsolete arch, and for sh4 limit it to just setting a single
    flag.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Aug 2024 09:14:51 +0300

mesa (24.2.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Build llvmpipe only where llvm is enabled.
  * rules: Build softpipe or llvmpipe depending on the arch, not both.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Aug 2024 22:13:47 +0300

mesa (24.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add python3-yaml to build-depends.
  * control: Move libclc-NN dependency to LLVM_ARCHS.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Aug 2024 16:34:17 +0300

mesa (24.2.0~rc3-2) experimental; urgency=medium

  * Add ldconfig trigger for mesa-drm-shim.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Aug 2024 09:38:13 +0300

mesa (24.2.0~rc3-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * control: Migrate to pkgconf.
  * Add some lintian-overrides.
  * control: Fix drm-shim description.
  * control, rules: Bump llvm to 18. (Closes: #1072901)

  [ Simon McVittie ]
  * d/rules: Replace deprecated swrast with softpipe and llvmpipe
  * d/rules: Replace deprecated glvnd=true with glvnd=enabled
  * libglx-mesa0.symbols: Update for new symbols
  * Add a new private shared library package for libgallium.so

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 11:53:58 +0300

mesa (24.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Aug 2024 22:04:49 +0300

mesa (24.1.5-3ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * rules: Drop i386 from NVK_ARCHS.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 06 Aug 2024 09:58:45 +0300

mesa (24.1.5-3) unstable; urgency=medium

  * control: Mark NVK build-deps accordingly.
  * rules: Drop --wrap-mode=default, leftover from previous testing.
    (Closes: #1077729)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 17:45:45 +0300

mesa (24.1.5-2ubuntu1) oracular; urgency=medium

  * Merge from Debian, remaining changes
    - control: Add C/R/P for amber
    - rules: Drop i386 from rusticl archs
  * add-arl-platform.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 12:58:43 +0300

mesa (24.1.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * control, rules: mips64el has latest LLVM already for some time

  [ Timo Aaltonen ]
  * rules: Fix FTBFS by only cleaning some nvk test binaries if they
    actually get built.
  * rules: Add a new NVK_ARCHS which is a subset of RUSTICL_ARCHS, strip
    powerpc, ppc64el and s390x from it.
  * control: Add lua5.4 to build-depends for arm* in order to work
    around FTBFS caused by setting MESON_PACKAGE_CACHE_DIR for nvk.
    (Closes: #1077729)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 11:25:02 +0300

mesa (24.1.5-1) unstable; urgency=medium

  * New upstream release.
  * control, rules: Enable NVK, bump rustc build-dependency. (Closes:
    #1075858)
  * control: Add rustfmt to build-depends.
  * rules: Update clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2024 10:16:13 +0300

mesa (24.1.3-2) unstable; urgency=medium

  [ Christopher Obbard ]
  * mesa-teflon-delegate: Fix library installation path

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jul 2024 15:53:39 +0300

mesa (24.1.3-1) unstable; urgency=medium

  [ Christopher Obbard ]
  * Package TensorFlow Lite delegate as libteflon (Closes: #1070788)

  [ Timo Aaltonen ]
  * New upstream release.
    - dri: Go back to hard-coded list of RGBA formats (Closes: #1072971)
  * mesa-common-dev.docs: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Jul 2024 12:49:04 +0300

mesa (24.1.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump build-deps on directx-headers-dev, libvdpau-dev,
    wayland-protocols.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Jun 2024 15:23:32 +0300

mesa (24.1.1-2) unstable; urgency=medium

  * rules, control: Revert back to llvm 17. (Closes: #1072941)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 19:59:35 +0300

mesa (24.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump build-depends on meson for rusticl.
  * rules, control: Bump llvm to 18. (Closes: #1072901)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 14:39:17 +0300

mesa (24.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * control: Add python3-pycparser to build-depends for armhf, arm64.
    (Closes: #1071222)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 May 2024 15:40:01 +0300

mesa (24.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 13:08:02 +0300

mesa (24.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:30:26 +0300

mesa (24.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 May 2024 19:00:30 +0300

mesa (24.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 09:02:09 +0300

mesa (24.0.9-0ubuntu1) oracular; urgency=medium

  * New upstream release. (LP: #2068918)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 18:50:20 +0300

mesa (24.0.8-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 14:47:32 +0300

mesa (24.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 12:57:58 +0300

mesa (24.0.7-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * patches: Add ARL support. (LP: #2061955)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:38:59 +0300

mesa (24.0.7-1) unstable; urgency=medium

  * New upstream release.
  * source: Switch to source format 3.0 (quilt), because upstream
    provides only .xz tarballs. (Closes: #1036176)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:18:58 +0300

mesa (24.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 08:39:42 +0300

mesa (24.0.5-1ubuntu1) noble; urgency=medium

  * Merge from Debian. (LP: #2060009, #2060679)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Apr 2024 10:12:19 +0300

mesa (24.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Apr 2024 13:13:09 +0300

mesa (24.0.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Dropped upstreamed patches.

  [ Fabio Pedretti ]
  * control: libllvmspirvlib-*-dev is needed even with rusticl disabled
    (Closes: #1061287)
  * control: Bump meson build-dep

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Mar 2024 17:59:50 +0200

mesa (24.0.3-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:05:45 +0000

mesa (24.0.3-1ubuntu3) noble; urgency=medium

  * Unwind remaining bootstrap changes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 18:31:49 +0000

mesa (24.0.3-1ubuntu2) noble; urgency=medium

  * Drop the time64 patch, applied with a different name.
  * Package can be synced.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:15:47 +0100

mesa (24.0.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix time64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 03:02:09 +0100

mesa (24.0.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #1065654)
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (Closes: #1064123)
  * fix-zink-logging.diff: Updated.
  * control: Bump libdrm build-dep. (Closes: #1065304)

  [ Fabio Pedretti ]
  * patches: Drop patch for obsolete powerpcspe arch

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Mar 2024 13:03:15 +0200

mesa (24.0.2-1ubuntu8) noble; urgency=medium

  * Build again with libva-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 14:21:44 +0100

mesa (24.0.2-1ubuntu7) noble; urgency=medium

  * Build without WINE on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 10:17:29 +0100

mesa (24.0.2-1ubuntu6) noble; urgency=medium

  * Fix time64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 08:46:25 +0100

mesa (24.0.2-1ubuntu4) noble; urgency=medium

  * Build without LLVM and rust on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 08:24:30 +0100

mesa (24.0.2-1ubuntu2) noble; urgency=medium

  * Bootstrap build without libva-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:42:07 +0000

mesa (24.0.2-1ubuntu1) noble; urgency=medium

  * Merge from Debian.
  * radeon-fix-gnome-shell-crash.diff: Fix a regression crashing
    gnome-shell. (LP: #2054851)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:40:21 +0200

mesa (24.0.2-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Dropped, upstream.
  * fix-zink-logging.diff: Don't log to stderr when zink fails to load.
    (Closes: #1064704)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 09:22:00 +0200

mesa (24.0.1-1ubuntu1) noble; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Feb 2024 09:02:05 +0200

mesa (24.0.1-1) unstable; urgency=medium

  * New upstream release.
  * clc-build-fix.diff: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 10:55:39 +0200

mesa (24.0.0-2) experimental; urgency=medium

  * clc-build-fix.diff: Attempt to fix a regression that made requiring
    llvmspirvlib mandatory.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Feb 2024 17:20:59 +0200

mesa (24.0.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #1059782)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:34:09 +0200

mesa (24.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Attempt to fix failing autopkgtests by changing zink init
    failure logging to a warning instead of an error.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:53:42 +0200

mesa (24.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 10:42:01 +0200

mesa (24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Drop the zink reverts.
  * rules: Modify video-codecs option to build all codecs. Thanks,
    Safir Secerovic!
  * control, rules: Bump debhelper-compat to 13, drop dh_missing
    override as it's the default now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 19:15:45 +0200

mesa (23.3.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop zink reverts, gtk4 autopkgtest got fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2024 09:20:35 +0200

mesa (23.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jan 2024 15:41:39 +0200

mesa (23.3.3-3) unstable; urgency=medium

  * rules: Drop mips64el from RUSTICL_ARCHS too, which would pull llvm-
    spirv-17. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2024 09:55:40 +0200

mesa (23.3.3-2) unstable; urgency=medium

  * rules: Drop virtio from armel again, regression due to cleanup.
    (Closes: #1060849)
  * rules: Drop mips64el from LLVM_ARCHS, as llvm-17-dev is still not
    available. (Closes: #1060779)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jan 2024 14:00:26 +0200

mesa (23.3.3-1ubuntu2) noble; urgency=medium

  * control, rules: Drop i386 from RUSTICL_ARCHS, again.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jan 2024 14:53:32 +0200

mesa (23.3.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian, remaining changes:
    - control: R/B/R: libgl1-amber-dri

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 20:57:33 +0200

mesa (23.3.3-1) unstable; urgency=medium

  * New upstream release.
  * patches, rules: Revert riscv64 back to plain softpipe swrast, drop
    orcjit patch. (Closes: #1060376)
  * patches: Drop d3d12 reverts, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jan 2024 10:10:19 +0200

mesa (23.3.2-2) unstable; urgency=medium

  * patches: Revert two commits on d3d12 that regressed at least swrast.
    (Closes: #1059971, #1060017)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jan 2024 11:07:26 +0200

mesa (23.3.2-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed, and dropped an upstreamed patch.

  [ Tao Chen ]
  * Add Loongarch support

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Jan 2024 15:19:43 +0200

mesa (23.3.1-4) unstable; urgency=medium

  * patches: Fix a regression in crocus. (Closes: #1059015)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2023 12:08:05 +0200

mesa (23.3.1-3) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Fix to actually build with llvm-17.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 16 Dec 2023 13:34:32 +0200

mesa (23.3.1-2) unstable; urgency=medium

  * llvmpipe-add-orcjit.diff: Add support for ORCJIT. (Closes: #1058759)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Dec 2023 20:59:48 +0200

mesa (23.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed zink patch.
  * patches: Disable zink fallback loading, breaks gtk4 build/tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Dec 2023 13:17:25 +0200

mesa (23.3.0-2ubuntu3) noble; urgency=medium

  * patches: Revert another commit adding zink autoload on glx.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Dec 2023 23:36:25 +0200

mesa (23.3.0-2ubuntu2) noble; urgency=medium

  * patches: Revert a commit adding zink autoloading.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Dec 2023 12:46:38 +0200

mesa (23.3.0-2ubuntu1) noble; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Dec 2023 18:17:27 +0200

mesa (23.3.0-2) experimental; urgency=medium

  * control: Add libvulkan1 to libgl1-mesa-dri Depends where zink is
    built, since it's loading libvulkan.so.1 directly instead of linking
    to it.
  * 0001-zink-initialize-drm_fd-to-1.patch: Fix GDM startup with the X11
    backend.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Dec 2023 09:23:13 +0200

mesa (23.3.0-1ubuntu1) noble; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Dec 2023 12:11:39 +0200

mesa (23.3.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Drop checking for linux, now that kfreebsd support got
    dropped.
  * rules: Drop a duplicate special case for VULKAN_DRIVERS, and move
    virtio enabling to the correct place.
  * rules: LLVM supports JIT on riscv64 now, attempt to enable llvmpipe
    on it.
  * rules: Sort default config entries and fix indentation.
  * rules: Drop WSL_ARCHS, as it's used only once.
  * rules: Merge two checks for x86 archs.
  * rules: Handle EGL_PLATFORMS like other lists.
  * rules: Drop powerpc from wine archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Dec 2023 11:39:26 +0200

mesa (23.3.0~rc5-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * rules: Fix mangling of the upstream version in clean target to work
    with upstream rc's.

  [ Fabio Pedretti ]
  * control, rules: Bump llvm to 17.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Nov 2023 18:24:29 +0200

mesa (23.3.0~rc4-1) experimental; urgency=medium

  [ Fabio Pedretti ]
  * remove double space
  * use a variable for WSL archs

  [ Timo Aaltonen ]
  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 19 Nov 2023 20:28:57 +0200

mesa (23.3.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Nov 2023 12:02:45 +0200

mesa (23.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * control, rules: Drop kfreebsd.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Nov 2023 15:59:11 +0200

mesa (23.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * fix-clover-build-without-spirv.diff: Dropped, upstream.
  * mesa-common-dev.docs: Updated.
  * libglx-mesa0.symbols: Updated.
  * control: Drop python3-minimal from -vulkan-drivers Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Oct 2023 14:28:22 +0300

mesa (23.2.1-1ubuntu4) noble; urgency=medium

  * patches: Avoid crashing virglrenderer when the host doesn't support
    PIPE_CAP_CLEAR_TEXTURE (LP#2038834)

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 07 Nov 2023 15:41:32 +0200

mesa (23.2.1-1ubuntu3) mantic; urgency=medium

  * patches: Fix a function name collision causing crashes. (LP:
    #2037497)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Oct 2023 11:58:09 +0300

mesa (23.2.1-1ubuntu2) mantic; urgency=medium

  * d/p/v3d-v3dv-support-for-HW-7.1.x.patch
    - [FFe] Raspberry Pi 5 (LP: #2037642)

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 29 Sep 2023 08:27:32 +0200

mesa (23.2.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Sep 2023 08:46:32 +0300

mesa (23.2.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump directx-headers-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Sep 2023 08:38:02 +0300

mesa (23.2.0~rc4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. (LP: #2036611)
  * control, rules: Stay on llvm 15 until bindgen update has landed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Sep 2023 18:50:55 +0300

mesa (23.2.0~rc4-1) unstable; urgency=medium

  * New upstream release candidate.
  * egl-wayland-Always-initialise-fd_display_gpu.patch: Dropped,
    upstream.
  * fix-clover-build-without-spirv.diff: Fix clover build.
  * control, rules: Bump llvm to 16. (Closes: #1051680)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Sep 2023 10:01:44 +0300

mesa (23.2.0~rc3-3) unstable; urgency=medium

  * control, rules: Drop mipsel.
  * rules: Update archs which have rustc (add powerpc, ppc64, riscv64,
    x32)
  * egl-wayland-Always-initialise-fd_display_gpu.patch: Re-add the fix
    for gtk4 autopkgtests.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Sep 2023 15:49:02 +0300

mesa (23.2.0~rc3-2) unstable; urgency=medium

  * Upload to unstable.
  * rules: Disable panfrost vulkan driver again as upstream doesn't want
    it shipped yet.
  * rules: Drop virtio from armel, FTBFS.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Sep 2023 11:46:59 +0300

mesa (23.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Add virtio vulkan driver.
  * rules: Enable panfrost vulkan driver on armhf/arm64. (Closes: #1009027)
  * rules: Drop optimization workaround for ppc64el to see if the issues
    are fixed with current toolchain.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Sep 2023 15:28:51 +0300

mesa (23.1.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * revert-13422.diff: Drop reverts, fix upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Sep 2023 13:41:34 +0300

mesa (23.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Sep 2023 13:32:25 +0300

mesa (23.1.6-1) unstable; urgency=medium

  * New upstream release.
  * fix-gtk4-autpkgtest.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Aug 2023 13:24:03 +0300

mesa (23.1.4-1) unstable; urgency=medium

  [ Diederik de Haas ]
  * Drop transitional libegl1-mesa package (Closes: #1032712)
  * Drop transitional libgles2-mesa package (Closes: #1032718)
  * Drop transitional libwayland-egl1-mesa package (Closes: #1032737)
  * Drop transitional libgl1-mesa-glx package (Closes: #1032738)
  * d/README.source: Update git repo location to Salsa

  [ Timo Aaltonen ]
  * New upstream release.
  * fix-gtk4-autpkgtest.diff: Fix loading swrast driver on wayland.
    (Closes: #1039922)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Jul 2023 17:39:12 +0300

mesa (23.1.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * revert-13422.diff: Revert a bunch of commits to fix gtk4
    autopkgtests. (LP: #2025982)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jul 2023 18:13:17 +0300

mesa (23.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jul 2023 17:23:23 +0300

mesa (23.1.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Jun 2023 16:45:43 +0300

mesa (23.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 11:33:47 +0300

mesa (23.1.1-1) experimental; urgency=medium

  * New upstream release.
  * rules: Set VERSION so that it also includes the packaging
    revision. (LP: #2020604)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 May 2023 11:27:24 +0300

mesa (23.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 May 2023 13:37:15 +0300

mesa (23.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 May 2023 14:32:42 +0300

mesa (23.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Apr 2023 13:29:54 +0300

mesa (23.0.4-0ubuntu1) mantic; urgency=medium

  * New upstream release. (LP: #2021948)
    - add a revert for amdgpu which missed 23.0.x branch

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 09 Jun 2023 12:53:37 +0300

mesa (23.0.3-0ubuntu2) mantic; urgency=medium

  * rules: Set VERSION so that it also includes the packaging
    revision. (LP: #2020604)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 May 2023 09:53:55 +0300

mesa (23.0.3-0ubuntu1) mantic; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 May 2023 13:10:05 +0300

mesa (23.0.2-1ubuntu1) lunar; urgency=medium

  [ Timo Aaltonen ]
  * Merge from Debian.

  [ Juerg Haefliger ]
  * freedreno: a690 support. (LP: #2015182)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Apr 2023 10:24:25 +0300

mesa (23.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Apr 2023 11:51:28 +0300

mesa (23.0.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian. (LP: #2009481)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Mar 2023 20:00:13 +0300

mesa (23.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Mar 2023 12:25:46 +0300

mesa (23.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Feb 2023 12:30:15 +0200

mesa (23.0.0~rc4-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * copyright: Updated.
  * rusticl-ftbfs.diff: Dropped, upstream.

  [ Joshua Watt ]
  * Add mesa-drm-shim package.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Feb 2023 20:56:43 +0200

mesa (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.
  * rusticl-ftbfs.diff: Fix rusticl dependencies to include valgrind.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Jan 2023 11:20:46 +0200

mesa (22.3.7-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Mar 2023 09:37:36 +0200

mesa (22.3.6-1ubuntu2) lunar; urgency=medium

  * control: Add replaces/breaks to -dri for amber. (LP: #2006744)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Mar 2023 10:24:33 +0200

mesa (22.3.6-1ubuntu1) lunar; urgency=medium

  * Merge from Debian.
  * rules: Drop i386 from RUSTICL_ARCHS.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Feb 2023 21:57:55 +0200

mesa (22.3.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #1029731)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 11:19:29 +0200

mesa (22.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Feb 2023 20:43:32 +0200

mesa (22.3.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Jan 2023 12:43:07 +0200

mesa (22.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Jan 2023 12:37:15 +0200

mesa (22.3.3-1) unstable; urgency=medium

  * New upstream release. (LP: #1988859)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Jan 2023 10:23:37 +0200

mesa (22.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Jan 2023 14:53:02 +0200

mesa (22.3.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * control: Use Rules-Requires-Root: no.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Dec 2022 13:21:21 +0200

mesa (22.3.0-3) unstable; urgency=medium

  * control: Enable i915 gallium driver. (Closes: #1013311)
  * rules: Enable intel_hasvk. (Closes: #1025864)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 11 Dec 2022 19:14:28 +0200

mesa (22.3.0-2) unstable; urgency=medium

  * patches: Import two upstream commits to fix crashes when libd3d12.so
    can't be found. (Closes: #1025312)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Dec 2022 16:34:36 +0200

mesa (22.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Dec 2022 12:07:06 +0200

mesa (22.3.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Nov 2022 10:19:44 +0200

mesa (22.3.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * fix-symbols.diff: Dropped, upstream.
  * rules: Limit anv ray-tracing support to amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2022 13:00:20 +0200

mesa (22.2.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable building lima drivers on riscv64. (LP: #1995137)
  * rules: Disable building llvmpipe on riscv64. (Closes: #1004039)
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2022 12:03:09 +0200

mesa (22.3.0~rc1-3) experimental; urgency=medium

  * control, rules: Enable intel vulkan raytracing support, add
    python3-ply and libclc-15 to build-depends.
  * rules: Fix rusticl logic.
  * rules: Add some variables for architecture lists.
  * rules: Drop the check for where vulkan loader exists, it's the same
    list of archs now as for llvm.
  * rules: Drop a duplicate check for llvm archs.
  * rules, control.in: Add a template file for d/control, which makes
    maintaining the llvm version and some arch lists easier.
  * rules: Remove unused libgrl.a from the intel raytracing build.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Nov 2022 13:37:20 +0200

mesa (22.3.0~rc1-2) experimental; urgency=medium

  * rules: Update list of archs without rustc.
  * libegl1-mesa-dev.install: Updated.
  * fix-symbols.diff: Fix a typo in glx symbols.
  * libglx-mesa0.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 15:47:05 +0200

mesa (22.3.0~rc1-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate.
  * rules: Drop removed gallium-xvmc flag.

  [ Christopher Obbard ]
  * Package rusticl, include in mesa-opencl-icd.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 13:32:45 +0200

mesa (22.2.5-0ubuntu1) lunar; urgency=medium

  * New upstream release. (LP: #1999336)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 11 Dec 2022 19:50:00 +0200

mesa (22.2.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Nov 2022 10:59:31 +0200

mesa (22.2.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1022730)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 12:17:23 +0200

mesa (22.2.2-1) unstable; urgency=medium

  * control: Bump build-depends on wayland-protocols. (Closes: #1021666)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Oct 2022 10:17:18 +0300

mesa (22.2.1-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian. (LP: #1992656)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Oct 2022 17:10:22 +0300

mesa (22.2.1-1) unstable; urgency=medium

  [ Zhang Boyang ]
  * control, rules: Re-enable LLVM support on riscv64. (LP: #1980386)

  [ Timo Aaltonen ]
  * control: Bump build-dep on directx-headers-dev.
  * New upstream release.
  * control, rules: Migrate to llvm-15.
  * control: Add riscv64 to mesa-vulkan-drivers archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Oct 2022 11:48:24 +0300

mesa (22.2.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian. (LP: #1990387)
  * patches: Drop DG2 patches that won't be getting applied upstream.
  * control, rules: Migrate to llvm-15.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 26 Sep 2022 12:12:03 +0300

mesa (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * nv50-ir-fix-OP_UNION-resolving-when-used-for-vector.diff: Dropped,
    upstream.
  * rules: Enable svga (vmwgfx) for armhf/arm64. (LP: #1989830)
  * control: Drop x32 from mesa-vulkan-drivers archs. (Closes: #1020386)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Sep 2022 12:57:22 +0300

mesa (22.2.0~rc3-2) unstable; urgency=medium

  * nv50-ir-fix-OP_UNION-resolving-when-used-for-vector.diff: Fix a
    regression on nouveau. (Closes: #1017499)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Sep 2022 13:25:59 +0300

mesa (22.2.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * rules: Enable video codecs. (Closes: #1016687)
  * control: Add python3 to mesa-vulkan-drivers depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Aug 2022 13:28:16 +0300

mesa (22.2.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate. (Closes: #1016801)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Aug 2022 16:35:13 +0300

mesa (22.2.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * revert-enabling-tlsdesc-support.diff: Dropped, obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Aug 2022 10:33:09 +0300

mesa (22.1.7-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Refresh patch 0004.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Aug 2022 15:55:38 +0300

mesa (22.1.5-1) unstable; urgency=medium

  * New upstream release.
  * control: Fix mesa-opencl-icd depends. (Closes: #1014840)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Aug 2022 09:49:41 +0300

mesa (22.1.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian.
  * patches: Drop most of DG2 patches, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Jul 2022 09:30:27 +0300

mesa (22.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Jul 2022 09:00:49 +0300

mesa (22.1.0-1) experimental; urgency=medium

  * New upstream release.
  * mesa-vulkan-drivers.install: Fix installing layers.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 15:10:32 +0300

mesa (22.1.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Fix enabling intel-nullhw, reorganize setting vulkan-layers.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 May 2022 12:09:18 +0300

mesa (22.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Clean all python build cruft.
  * rules: Add intel-nullhw to vulkan confflags. (part of #1009027)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 May 2022 13:08:46 +0300

mesa (22.0.5-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jun 2022 10:27:40 +0300

mesa (22.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jun 2022 13:42:49 +0300

mesa (22.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 May 2022 14:48:48 +0300

mesa (22.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 May 2022 11:53:29 +0300

mesa (22.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Apr 2022 08:50:14 +0300

mesa (22.0.1-2) experimental; urgency=medium

  * Migrate to llvm-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Apr 2022 12:40:09 +0300

mesa (22.0.1-1ubuntu3) kinetic; urgency=medium

  * Add patches to support Intel DG2. (LP: #1971712)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 May 2022 13:44:31 +0300

mesa (22.0.1-1ubuntu2) jammy; urgency=medium

  * revert-af1ee8e01044.diff: Revert a commit which broke webkitgtk.
    (LP: #1966418)
  * enable-dg2.diff: Dropped, it's too soon to enable DG2.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Apr 2022 13:28:58 +0300

mesa (22.0.1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian.
  * Drop patch for GFX1036, upstream.
  * control: Actually recommend libgl1-amber-dri.
  * enable-dg2.diff: Fixed to detect DG2 platform.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2022 11:59:33 +0300

mesa (22.0.1-1) experimental; urgency=medium

  * New upstream release.
  * rules: Disable lto as suggested by upstream.
  * revert-enabling-tlsdesc-support.diff: Revert a commit that's causing
    apps to crash. (LP: #1966221)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2022 11:47:25 +0300

mesa (22.0.0-0ubuntu3) jammy; urgency=medium

  * revert-enabling-tlsdesc-support.diff: Revert a commit that's causing
    apps to crash. (LP: #1966221)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Mar 2022 18:01:26 +0300

mesa (22.0.0-0ubuntu2) jammy; urgency=medium

  * Backport support for GFX1036.  This follows the same codepaths as
    Yellow Carp.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 23 Mar 2022 14:17:23 -0500

mesa (22.0.0-0ubuntu1) jammy; urgency=medium

  * Upload to jammy.
  * enable-dg2.diff: Enable Intel DG2 pci-id's.
  * control: Add libgl1-amber-dri to libgl1-mesa-dri Recommends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Mar 2022 16:27:59 +0200

mesa (22.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Mar 2022 20:46:36 +0200

mesa (22.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * path_max.diff: Refreshed.
  * rules: Drop classic drivers (r100, r200, nouveau_vieux, i915, i965).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Feb 2022 22:04:03 +0200

mesa (21.3.8-1) unstable; urgency=medium

  * New upstream release.
  * rules: Drop kmsro option, which was removed upstream.
  * install: Add radv defaults dri conf.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 10 Apr 2022 10:18:19 +0300

mesa (21.3.7-1) unstable; urgency=medium

  * New upstream release.
  * rules: Disable sse2 on i386. (Closes: #1002872)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Mar 2022 12:42:09 +0200

mesa (21.3.5-1) unstable; urgency=medium

  * New upstream release.
  * iris-inter-context-busy-tracking.diff: Fix a regression causing
    flickering and corruption on Intel. (Closes: #1003987)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Jan 2022 15:49:51 +0200

mesa (21.3.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Switch to libglvnd-core-dev build-dep. (Closes: #1003264)
  * freedreno-afuc-Disable-the-disassembler-on-32-bit-bu.diff: Dropped,
    upstream.
  * Build with llvm-13 again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Jan 2022 14:35:37 +0200

mesa (21.3.3-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable turnip, freedreno vulkan driver.
  * freedreno-afuc-Disable-the-disassembler-on-32-bit-bu.diff: Fix ftbfs
    on armhf.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Jan 2022 10:30:13 +0200

mesa (21.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Nov 2021 16:35:02 +0200

mesa (21.3.0~rc5-1) experimental; urgency=medium

  * New upstream prerelease.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 10:42:29 +0200

mesa (21.3.0~rc1-1) experimental; urgency=medium

  * New upstream prerelease.
  * fix-python-shebang.diff: Dropped, upstream.
  * libgbm1.symbols: Updated.
  * rules: Enable crocus gallium driver. (LP: #1947200)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 11:40:14 +0300

mesa (21.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Nov 2021 16:07:58 +0200

mesa (21.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Nov 2021 11:35:38 +0200

mesa (21.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 16:50:42 +0300

mesa (21.2.3-2) unstable; urgency=medium

  * Revert back to llvm 12. (Closes: #995835)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Oct 2021 12:30:07 +0300

mesa (21.2.3-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Build with -O2 for ppc64el.
  * Build with llvm 13.

  [ Aurelien Jarno ]
  * Disable LLVM support on riscv64, it doesn't have JIT. (Closes: #995618)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Oct 2021 15:18:27 +0300

mesa (21.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Add riscv64 to mesa-opencl-icd archs. (LP: #1942764)
  * control: Drop libxdamage-dev from build-depends. (Closes: #979515)
  * 0001-util-format-NEON-is-not-available-with-the-soft-floa.patch:
    Dropped, upstream.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Sep 2021 14:33:55 +0300

mesa (21.2.1-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix armel FTBFS

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 14:02:18 +0300

mesa (21.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Aug 2021 11:38:23 +0300

mesa (21.2.0-1) experimental; urgency=medium

  * New upstream release. (LP: #1937988)
  * iris-avoid-abort-if-enomem.diff: Dropped, upstream.
  * control: Bump libdrm-dev build-dependency to 2.4.107.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Aug 2021 09:48:22 +0300

mesa (21.1.6-1) experimental; urgency=medium

  * New upstream release.
  * fix-ftbfs.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Aug 2021 13:10:20 +0300

mesa (21.1.4-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Jul 2021 16:26:26 +0300

mesa (21.1.2-1) experimental; urgency=medium

  * New upstream release.
  * iris-avoid-abort-if-enomem.diff: Don't abort when out of memory.
    (LP: #1918855)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Jun 2021 14:33:09 +0300

mesa (21.1.0-4) experimental; urgency=medium

  * fix-ftbfs.diff: Fix build on armel/armhf/mipsel.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 17 May 2021 10:38:04 +0300

mesa (21.1.0-3) experimental; urgency=medium

  * rules: Drop the rule to clean up vulkan headers, not needed anymore.
  * rules: Update vulkan layer option selection.
  * libgbm1.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 20:25:50 +0300

mesa (21.1.0-2) experimental; urgency=medium

  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 16:46:12 +0300

mesa (21.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Build with llvm-12.
  * path_max.diff: Refreshed.
  * rules: vulkan_intel.h is gone.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 May 2021 16:05:12 +0300

mesa (21.0.3-1) experimental; urgency=medium

  * New upstream release.
  * rules: Limit d3d12 by DEB_HOST_ARCH, not DEB_HOST_ARCH_CPU. (Closes:
    #986660)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Apr 2021 10:01:11 +0300

mesa (21.0.2-1) experimental; urgency=medium

  * New upstream release.
  * drisw-move-zink-down.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Apr 2021 13:57:35 +0300

mesa (21.0.1-2) experimental; urgency=medium

  * Move zink down the list below the sw drivers. (LP: #1920665)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Apr 2021 13:18:01 +0300

mesa (21.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Mar 2021 21:12:09 +0200

mesa (21.0.0-1) experimental; urgency=medium

  * New upstream release. (LP: #1917763)
  * control: Add directx-headers-dev to build-depends for amd64 and arm64
    on Linux, which is what WSL2 currently supports.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Mar 2021 19:22:33 +0200

mesa (21.0.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2021 10:32:24 +0200

mesa (21.0.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Feb 2021 13:01:20 +0200

mesa (21.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 30 Jan 2021 12:25:57 +0200

mesa (21.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch: Dropped,
    upstream.
  * rules: Fix osmesa confflag to use a boolean.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Jan 2021 13:44:42 +0200

mesa (20.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Mar 2021 12:11:46 +0200

mesa (20.3.4-1) unstable; urgency=medium

  [ Keith Packard ]
  * Build most drivers for riscv64 targets

  [ Timo Aaltonen ]
  * New upstream release.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch: Dropped,
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 31 Jan 2021 20:26:42 +0200

mesa (20.3.3-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff: Updated.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch:
    Don't print a warning which might confuse users to think they're on
    swrast vulkan.
  * rules: Use 'enabled' instead of 'true' for DRI3.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Jan 2021 15:16:30 +0200

mesa (20.3.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable lavapipe (vulkan swrast) where llvm and vulkan is
    enabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 03 Jan 2021 20:30:50 +0200

mesa (20.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Dec 2020 10:23:30 +0200

mesa (20.3.0-2) experimental; urgency=medium

  * rules: Fix the name of the broadcom vulkan driver.
  * control, rules: Drop llvm support from kfreebsd, as llvm isn't built
    there.
  * rules: Enable gallium swrast (softpipe) and OSMesa everywhere, as
    they're not actually tied to llvm being available.
  * rules: Move common settings for !hurd to the top.
  * rules: Use a better method to build the arrays of drivers, thanks
    Witold Baryluk! (Closes: #972736)
  * rules: Clarify the status of wayland support on non-linux ports.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 14:21:30 +0200

mesa (20.3.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable v3dv on armhf/arm64, and zink where vulkan is
    available. (Closes: #975679)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 16:39:42 +0200

mesa (20.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Nov 2020 17:00:27 +0200

mesa (20.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libxcb-shm0-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Nov 2020 18:29:42 +0200

mesa (20.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2020 06:42:32 +0200

mesa (20.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Dec 2020 23:32:56 +0200

mesa (20.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 15:11:48 +0200

mesa (20.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Nov 2020 13:32:39 +0200

mesa (20.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Enable libdrm-dev for Hurd. (Closes: #973673)
  * rules: Rework EGL_PLATFORMS to match current upstream defaults.
  * rules: Fix warnings from deprecated options. (Closes: #973675)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Nov 2020 22:38:16 +0200

mesa (20.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Oct 2020 12:38:36 +0300

mesa (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Sep 2020 11:07:13 +0300

mesa (20.2.0~rc4-2) experimental; urgency=medium

  * Migrate to llvm/clang-11.
  * path_max.diff: Updated. (Closes: #969040)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 12:07:08 +0300

mesa (20.2.0~rc4-1) experimental; urgency=medium

  * New upstream prerelease.
  * rules: Move radv rule up to fix build on non-intel archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 19:32:58 +0300

mesa (20.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Get rid of trailing commas in *_DRIVERS options.
  * control: Bump libglvnd build-dep.
  * Update mesa-common-dev.docs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Aug 2020 18:30:42 +0300

mesa (20.1.9-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Oct 2020 10:12:00 +0300

mesa (20.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 11:23:02 +0300

mesa (20.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 14:45:01 +0300

mesa (20.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Aug 2020 21:08:41 +0300

mesa (20.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Aug 2020 10:32:11 +0300

mesa (20.1.4-1) unstable; urgency=medium

  * New upstream release.
  * fix-ppc64el.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 15:59:19 +0300

mesa (20.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #963677)
  * mesa-vulkan-drivers: Add support for device-select-layer.
  * control, rules: Enable valgrind where supported. (Closes: #890846)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2020 10:24:29 +0300

mesa (20.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jun 2020 11:06:50 +0300

mesa (20.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 May 2020 13:14:52 +0300

mesa (20.1.0~rc4-1) experimental; urgency=medium

  * New upstream snapshot.
  * fix-build-with-llvm-10.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 May 2020 09:17:06 +0300

mesa (20.1.0~rc1-1) experimental; urgency=medium

  * New upstream snapshot.
  * fix-build-with-llvm-10.diff: Refreshed.
  * signing-key: Add key from Eric Engeström.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 May 2020 12:47:17 +0300

mesa (20.0.7-1) unstable; urgency=medium

  * New upstream release.
  * src_glx_dri_common.h.diff: A new attempt to fix hurd ftbfs. (Closes:
    #960197)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 May 2020 08:36:18 +0300

mesa (20.0.6-3) unstable; urgency=medium

  * src_glx_dri_common.h.diff: Dropped, breaks the build.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 May 2020 12:44:12 +0300

mesa (20.0.6-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump libdrm-dev build-dep.

  [ Svante Signell ]
  * src_glx_dri_common.h.diff: Fix build on Hurd. (Closes: #959975)

  [ Frédéric Bonnard ]
  * Fix ppc64el FTBFS. (Closes: #959943)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 May 2020 11:00:10 +0300

mesa (20.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches, refresh llvm-10 build-fix.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 May 2020 10:37:18 +0300

mesa (20.0.4-2) unstable; urgency=medium

  * fix-build-with-llvm-10.diff: Add a patch to fix build with Polly,
    and build with llvm-10 again. (Closes: #956004)
  * iris-drop-cache-coherent-cpu-mapping.diff: Fix corruption with iris
    (Closes: #954311) (LP: #1864274)
  * gallium-fix-bob-compute-shaders.diff: Fix vaapi with bob
    deinterlacing. (LP: #1867188)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Apr 2020 10:16:24 +0300

mesa (20.0.4-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff, libglx-mesa0.symbols.hurd: Fix build on Hurd.
    (Closes: #955351)
  * upstream/signing-key.asc: Added Eric Engestrom's key.
  * source/local-options: Update extend-diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 05 Apr 2020 23:39:55 +0300

mesa (20.0.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Revert to building with llvm/clang-9, until it builds with
    10.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Mar 2020 16:03:53 +0200

mesa (20.0.1-2) experimental; urgency=medium

  * control: Fix clang build-dep to actually use libclang-10-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2020 23:20:30 +0200

mesa (20.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2020 17:40:08 +0200

mesa (20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 10:46:06 +0200

mesa (20.0.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Fix dh_auto_test accepting failure.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Feb 2020 14:07:05 +0200

mesa (20.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Make running tests non-fatal, until they're actually expected
    to pass on each arch.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Feb 2020 15:02:10 +0200

mesa (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libzstd-dev to build-depends for zstd compressed shader
    cache support.
  * rules, fix-python-shebang.diff: Enable tests again to see where we
    are now.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2020 15:46:02 +0200

mesa (20.0.0~git20200129-1) experimental; urgency=medium

  * New upstream snapshot.
  * mesa-vulkan-drivers.install: Include overlay control script.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Jan 2020 09:29:20 +0200

mesa (19.3.3-1) unstable; urgency=medium

  * New upstream release.
  * rules: Build zink on x86.
  * control: Add libglvnd-dev to libegl1-mesa-dev/libgles2-mesa-
    dev/libgl1-mesa-dev Depends to ease the transition. (Closes: #949677)
  * drisw-fix-depth-for-ximage.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jan 2020 21:45:02 +0200

mesa (19.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Jan 2020 14:55:29 +0200

mesa (19.3.1-4) unstable; urgency=medium

  [ Julien Cristau ]
  * Ensure strict dependencies on libglapi-mesa (closes: #947813).

  [ Timo Aaltonen ]
  * control: Add libgl{,x}-dev to mesa-common-dev Depends. (Closes:
    #947392)
  * drisw-fix-depth-for-ximage.diff: Fix sw driver rgbBits/depth calculation.
    (Closes: #947196)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2020 11:38:56 +0200

mesa (19.3.1-3) unstable; urgency=medium

  * control, rules: Actually build radv on mipsel, drop mips from
    everywhere since it's not an arch anymore. (Closes: #947310)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Dec 2019 22:05:01 +0200

mesa (19.3.1-2) unstable; urgency=medium

  * rules: Build radv on mips/mipsel again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 23:17:58 +0200

mesa (19.3.1-1) unstable; urgency=medium

  * New upstream release.
  * fix-radv-secure-compile.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 16:45:25 +0200

mesa (19.3.0-1) experimental; urgency=medium

  * New upstream release.
  * fix-radv-secure-compile.diff: Fix radv build where __NR__newselect
    isn't defined.
  * rules: Restore radv build on non-x86 archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Dec 2019 01:39:02 +0200

mesa (19.3.0~rc6-1) experimental; urgency=medium

  * New upstream release candidate.
  * control, rules: Don't build radv on non-x86.
  * Don't install EGL/GL/GLES headers or pkg-config files, they're
    shipped by libglvnd 1.3.0 now. Make old -dev packages transitional,
    except libegl1-mesa-dev which still has two mesa specific headers.
  * generate-pc-files-for-gles-and-gles2.diff: Dropped, not needed anymore.
  * rules: Update clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Dec 2019 13:29:49 +0200

mesa (19.3.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
  * generate-pc-files-for-gles-and-gles2.diff: This is needed until we
    have glvnd 1.2 in the archive.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Nov 2019 21:56:04 +0200

mesa (19.2.6-1) unstable; urgency=medium

  * New upstream release.
  * create-gles-pc-files-with-old-glvnd.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Nov 2019 21:08:25 +0200

mesa (19.2.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #944880)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Nov 2019 15:25:12 +0200

mesa (19.2.3-1) unstable; urgency=medium

  * New upstream release.
  * create-gles-pc-files-with-old-glvnd.diff: Drop the revert with a
    proposed patch to fix creating gles pc files with old glvnd.
  * rules: GLESv2 libs aren't built anymore, drop removing the libs.
  * mesa-common-dev: Drop mangled GL/GLX headers, they're not generated
    anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Nov 2019 14:01:26 +0200

mesa (19.2.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Build Vulkan overlay on x32. (Closes: #932733)
  * Revert-meson-fix-logic-for-generating-.pc-files-with.patch: Revert a
    commit which attempted to fix the .pc generating logic, but
    regressed GLES2.

  [ Sven Joachim ]
  * rules: Re-enable asm on x32, should be fixed since mesa 17.0.0
    (Closes: #758094).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Oct 2019 07:31:08 +0300

mesa (19.2.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable panfrost again, should be good now. (Closes: #941136)
  * Drop reverts on pkgconfig removals, upstream now supports building
    them with an older libglvnd.
  * copyright: Don't refer to BSD license file.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 01 Oct 2019 15:49:52 +0300

mesa (19.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Sep 2019 00:25:47 +0300

mesa (19.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
  * control,rules: Restore libva-dev build-dep and nolibva build
    profile.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Sep 2019 15:34:19 +0300

mesa (19.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Migrate to llvm/clang-9. (Closes: #935768)
  * control: Add vulkan-icd to mesa-vulkan-drivers Provides. (Closes:
    #935869)
  * control, rules: Drop libva-dev from build-depends, don't use
    dh_libva and drop pkg.mesa.nolibva build profile, libva2 transition
    is done.
  * control: Bump llvm/clang build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2019 14:36:14 +0300

mesa (19.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Avoid having an empty string for -Dplatforms.
  * Revert-egl-drop-incorrect-pkg-config-file-for-glvnd.patch: We still
    need to ship egl.pc from mesa.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Aug 2019 07:45:14 +0300

mesa (19.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Sep 2019 15:43:36 +0300

mesa (19.1.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #933753, #933906)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Aug 2019 07:30:48 +0300

mesa (19.1.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Add python3-setuptools to build-depends.
  * rules: Use dh_missing.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jul 2019 17:07:07 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mesa-vulkan-drivers`.
